cUrl
curl --location --request PUT 'https://api.catalogix.ai/v1/products?store_uuid=67762d4ce590324df813bd8c' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '[
{
"product_code": "CI001",
"Category": "Shirts",
"Department": "Men",
"Status": "inactive"
}
]'import requests
import json
url = "https://api.catalogix.ai/v1/products?store_uuid=67762d4ce590324df813bd8c"
payload = json.dumps([
{
"product_code": "CI001",
"Category": "Shirts",
"Department": "Men",
"Status": "inactive"
}
])
headers = {
'Authorization': 'Bearer YOUR_TOKEN',
'Content-Type': 'application/json'
}
response = requests.request("PUT", url, headers=headers, data=payload)
print(response.text)var myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer YOUR_TOKEN");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify([
{
"product_code": "CI001",
"Category": "Shirts",
"Department": "Men",
"Status": "inactive"
}
]);
var requestOptions = {
method: 'PUT',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.catalogix.ai/v1/products?store_uuid=67762d4ce590324df813bd8c", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));
{
"status": {
"code": 0,
"message": "success",
"request_id": "8c8b2b7e-23d7-4c2a-91b0-2a7c4dfbb312"
},
"data": {
"store_uuid": "67762d4ce590324df813bd8c",
"failed_products": {
"SKU003": {
"Color": "invalid value"
}
},
"updated_skus": [
"CI001"
],
"unavailable_skus": [
"CI00000000"
]
}
}{
"detail": "<string>",
"status": "error"
}{
"status": {
"code": -1,
"message": "Unauthorized – invalid or missing Bearer token"
}
}{
"detail": "<string>",
"status": "error"
}{
"detail": "<string>",
"status": "error"
}{
"detail": [
{
"loc": [
"body",
""
],
"msg": "Field Required",
"type": "missing"
}
]
}{
"status": {
"code": -1,
"message": "Internal server error. Please contact support@catalogix.ai"
}
}{
"detail": "<string>",
"status": "error"
}Product APIs
Update Product
Updates existing product data.
PUT
/
products
cUrl
curl --location --request PUT 'https://api.catalogix.ai/v1/products?store_uuid=67762d4ce590324df813bd8c' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '[
{
"product_code": "CI001",
"Category": "Shirts",
"Department": "Men",
"Status": "inactive"
}
]'import requests
import json
url = "https://api.catalogix.ai/v1/products?store_uuid=67762d4ce590324df813bd8c"
payload = json.dumps([
{
"product_code": "CI001",
"Category": "Shirts",
"Department": "Men",
"Status": "inactive"
}
])
headers = {
'Authorization': 'Bearer YOUR_TOKEN',
'Content-Type': 'application/json'
}
response = requests.request("PUT", url, headers=headers, data=payload)
print(response.text)var myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer YOUR_TOKEN");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify([
{
"product_code": "CI001",
"Category": "Shirts",
"Department": "Men",
"Status": "inactive"
}
]);
var requestOptions = {
method: 'PUT',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.catalogix.ai/v1/products?store_uuid=67762d4ce590324df813bd8c", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));
{
"status": {
"code": 0,
"message": "success",
"request_id": "8c8b2b7e-23d7-4c2a-91b0-2a7c4dfbb312"
},
"data": {
"store_uuid": "67762d4ce590324df813bd8c",
"failed_products": {
"SKU003": {
"Color": "invalid value"
}
},
"updated_skus": [
"CI001"
],
"unavailable_skus": [
"CI00000000"
]
}
}{
"detail": "<string>",
"status": "error"
}{
"status": {
"code": -1,
"message": "Unauthorized – invalid or missing Bearer token"
}
}{
"detail": "<string>",
"status": "error"
}{
"detail": "<string>",
"status": "error"
}{
"detail": [
{
"loc": [
"body",
""
],
"msg": "Field Required",
"type": "missing"
}
]
}{
"status": {
"code": -1,
"message": "Internal server error. Please contact support@catalogix.ai"
}
}{
"detail": "<string>",
"status": "error"
}Authorizations
Pass the API token as a Bearer token in the Authorization header.
Headers
Optional trace ID. If not provided, one is generated automatically
Query Parameters
Body
application/json
⌘I